# This file was auto-generated by Fern from our API Definition.

from ..core.pydantic_utilities import UniversalBaseModel
import typing
import pydantic
from ..core.pydantic_utilities import IS_PYDANTIC_V2


class LegacyTermUpdateParams(UniversalBaseModel):
    """
    Parameters for updating an existing glossary term.

    All fields are optional. Only the provided fields will be updated.
    """

    name: typing.Optional[str] = pydantic.Field(default=None)
    """
    The name of the term, e.g., 'Gas' in blockchain.
    """

    description: typing.Optional[str] = pydantic.Field(default=None)
    """
    A detailed description of the term
    """

    synonyms: typing.Optional[typing.List[str]] = pydantic.Field(default=None)
    """
    A list of synonyms for the term, including alternate contexts if applicable.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(
            extra="allow", frozen=True
        )  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
